import pickle

known_locations = {'Oklahoma': {'ARRC': {'location_name': 'RIL',
   'lat': 35.180937,
   'lon': -97.433993,
   'surface_altitude': 344.7,
   'region': 'contiguous_united_states',
   'mesonet_id': 'NRMN'},
  'KAEFS': {'location_name': 'Kessler Atmospheric and Ecological Field Station',
   'lat': 34.982227,
   'lon': -97.521092,
   'surface_altitude': 345.6,
   'region': 'contiguous_united_states',
   'mesonet_id': 'WASH'},
  'MARS': {'location_name': 'Marshall',
   'lat': 36.1186,
   'lon': -97.6014,
   'surface_altitude': 316.6,
   'region': 'contiguous_united_states',
   'mesonet_id': 'MARS'}},
 'Colorado': {'K04V': {'location_name': 'Saguache Municipal Airport',
   'lat': 38.099156,
   'lon': -106.171331,
   'surface_altitude': 2385.2,
   'region': 'contiguous_united_states',
   'mesonet_id': None},
  'CRES': {'location_name': 'Crestone',
   'lat': 37.920559,
   'lon': -105.65983,
   'surface_altitude': 2414,
   'region': 'contiguous_united_states',
   'mesonet_id': None},
  'MOFF': {'location_name': 'Moffat',
   'lat': 37.997587,
   'lon': -105.911795,
   'surface_altitude': 2305.6,
   'region': 'contiguous_united_states',
   'mesonet_id': None},
  'SAGF': {'location_name': 'Saguache Field',
   'lat': 38.036093,
   'lon': -106.112658,
   'surface_altitude': 2330.8,
   'region': 'contiguous_united_states',
   'mesonet_id': None},
  'K1V8': {'location_name': 'Leach Airport',
   'lat': 37.782269,
   'lon': -106.040876,
   'surface_altitude': 2316,
   'region': 'contiguous_united_states',
   'mesonet_id': None}},
 'Finland': {'HAIL': {'location_name': 'Hailuoto',
   'lat': 65.039797,
   'lon': 24.556993,
   'surface_altitude': 0,
   'region': 'europe',
   'mesonet_id': None}}}

ndict = {'N963UA_CS_3D': True,
 'N960UA_Photogrammetry': False,
 'N995UA_Tuffwing_Chemistry': False,
 'N994UA_Tuffwing_Photogrammetry': False,
 'N910UA_CS_3.1': True,
 'N955UA_CS_2.4': True,
 'N946UA_CS_2.3': True,
 'N945UA_CS_2.2_Billsonde': False,
 'N944UA_CS_2.1_Tonyshark': True,
 'N951UA_CS_1.2': False,
 'N900UA_Phantom': False}

objectives = ['Thermo',
 'Wind calibration',
 'CO2',
 'Photogrammetry',
 'O3',
 'Aerosol',
 'Test',
 'Tester']

import os
print(os.getcwd())
pickle.dump(known_locations, open('known_locations.pkl', 'wb'))
pickle.dump(ndict, open('ndict.pkl', 'wb'))
pickle.dump(objectives, open("objectives.pkl", 'wb'))